APITest (3.14.0 600 API)
Date: 2025-11-24

com.marketfactory.messaging

## Enum APITest

- java.lang.Object
- - java.lang.Enum<APITest>
  - - com.marketfactory.messaging.APITest

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<APITest>

      public enum APITest
      extends java.lang.Enum<APITest>

  Various tests that can be invoked client-side to test out the API.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `_INVALID`
    `EXTRA_TEST2` (Extra test for future use)
    `EXTRA_TEST3` (Extra test for future use)
    `EXTRA_TEST4` (Extra test for future use)
    `EXTRA_TEST5` (Extra test for future use)
    `FORCE_DISCONNECT_FEEDS` (Disconnect the API server from all its feed connections (for testing).
    `FORCE_LOCAL_DISCONNECT` Force a hard socket close/disconnection from the api side.
    `FORCE_REMOTE_DISCONNECT` Force a hard socket close/disconnection from the remote side.
    `INVOKE_EVENT_REPORT` No longer supported.
    `NONE` No test, default value.
    `TEST_FULL_BUFFER` For internal use only: write too much data for the socket buffer on the server side, to test disconnection on slow consumers.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte` | `val`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `get()`
    `static APITest` | `get(byte value)`
    `static java.util.Collection<APITest>` | `validValues()`
    `static APITest` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static APITest[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final APITest NONE

      No test, default value.

    - #### INVOKE_EVENT_REPORT

          public static final APITest INVOKE_EVENT_REPORT

      No longer supported.

    - #### FORCE_LOCAL_DISCONNECT

          public static final APITest FORCE_LOCAL_DISCONNECT

      Force a hard socket close/disconnection from the api side. This is used to test failover procedures.

    - #### FORCE_REMOTE_DISCONNECT

          public static final APITest FORCE_REMOTE_DISCONNECT

      Force a hard socket close/disconnection from the remote side. This is used to test failover procedures.

    - #### TEST_FULL_BUFFER

          public static final APITest TEST_FULL_BUFFER

      For internal use only: write too much data for the socket buffer on the server side, to test disconnection on slow consumers.

    - #### FORCE_DISCONNECT_FEEDS

          public static final APITest FORCE_DISCONNECT_FEEDS

      (Disconnect the API server from all its feed connections (for testing).

    - #### EXTRA_TEST2

          public static final APITest EXTRA_TEST2

      (Extra test for future use)

    - #### EXTRA_TEST3

          public static final APITest EXTRA_TEST3

      (Extra test for future use)

    - #### EXTRA_TEST4

          public static final APITest EXTRA_TEST4

      (Extra test for future use)

    - #### EXTRA_TEST5

          public static final APITest EXTRA_TEST5

      (Extra test for future use)

    - #### _INVALID

          public static final APITest _INVALID

  - ### Field Detail

    - #### val

          public byte val

  - ### Method Detail

    - #### values

          public static APITest[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (APITest c : APITest.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static APITest valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public byte get()

    - #### get

          public static APITest get(byte value)

    - #### validValues

          public static java.util.Collection<APITest> validValues()